Name:           synce-serial
Version:        0.9.1
Release:        2%{?dist}
Summary:        Serial connection support for Pocket PC devices

Group:          Applications/Communications
License:        MIT
URL:            http://www.synce.org
Source0:        http://download.sf.net/synce/synce-serial-%{version}.tar.gz
Source1:        synce-serial-README.Fedora
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:       ppp, vdccm, udev

%description
Synce-serial is part of the SynCE project: http://www.synce.org

This module contains helper scripts for setting up a serial connection for use
with SynCE. They are basically wrappers around pppd:
  synce-serial-config  - Use this to select serial port and IP addresses
  synce-serial-start   - Use this to start connection
  synce-serial-abort   - Use this to abort a connection

Please read the included README.Fedora for details

%prep
%setup -q
cp -p %{SOURCE1} README.Fedora

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# Enable autoconnect
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/udev/rules.d/
echo 'ACTION=="add", SUBSYSTEM=="usb_device", SYSFS{idVendor}=="0bb4", SYSFS{idProduct}=="0a06", SYMLINK+="ipaq", RUN+="%{_bindir}/synce-serial-start"' > $RPM_BUILD_ROOT%{_sysconfdir}/udev/rules.d/60-synce.rules

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README README.Fedora TODO LICENSE
%{_bindir}/synce-serial-*
%{_datadir}/synce
%{_mandir}/man8/synce-serial-*
%config(noreplace) %{_sysconfdir}/udev/rules.d/*.rules

%changelog
* Mon Apr 02 2007 Aurelien Bompard <abompard@fedoraproject.org> 0.9.1-2
- fix typo in description
- make udev rules %%config(noreplace)

* Sat Mar 03 2007 Aurelien Bompard <abompard@fedoraproject.org> 0.9.1-1
- split off the synce package
